class CreateSModules < ActiveRecord::Migration[6.0]
  def change
    create_table :s_modules do |t|
      t.integer :serial_nbr
      t.string :cache_long_serial_number
      t.references :s_modules_state, foreign_key: true
      t.date :order_date
      t.date :production_start_date
      t.date :production_end_date
      t.references :s_module_configuration#, foreign_key: true
      t.references :s_site#, foreign_key: true
      t.string :name
      t.text :description

      t.timestamps
    end
  end
end
